How to Import Document
Imports a PDF from a given URL into the specified folder.
Authorizations
AuthorizationstringRequired
API key provided as a Bearer token in the Authorization header.
Body
urlstring · uriRequired
The URL of the PDF to import.
folder_idstring · uuidRequired
The UUID of the folder to import the PDF into.
Responses
200
Successfully imported the PDF.
application/json
idstring · uuidOptional
The unique identifier of the imported document.
401
Unauthorized access, invalid API key.
application/json
429
Rate limit exceeded.
application/json
post/v2/import-url
POST /api/v2/import-url HTTP/1.1
Host: app.humata.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 97
{
"url": "https://pdfobject.com/pdf/sample.pdf",
"folder_id": "e507832b-bdef-4baf-8423-822c1cb68e35"
}{
"id": "a8283bc7-02ee-471b-8590-5ef5401afa40"
}Last updated